@import model._

@import model.forms.SetID36Form
@(game: GameWithTeams, form: Form[SetID36Form], umps: Seq[UserWithPlayer])(implicit req: MessagesRequest[AnyContent], user: User)

@implicitField = @{
    helper.FieldConstructor(views.html.templates._field_constructor.f)
}

<!DOCTYPE html>

<html lang="en">
    <head>
    @views.html.templates._common_headers("Set Reddit Thread")
    </head>
    <body>
        @views.html.templates._navbar()(req, Some(user))

        <div class="container">
            <h3>Set Reddit Thread</h3>
            <a class="btn btn-warning" href="@routes.GameController.viewGame(game.game.id)">Back to Game</a>
            <hr />
            @helper.form(action = routes.UmpireController.submitRedditThreadForm(game.game.id)) {
                <div class="row">
                    <div class="col-sm">
                        @helper.input(form("id36")){ (id, name, value, args) =>
                            <label for="@id">Reddit Thread</label>
                            <input type="text" required="required" value="@value" id="@id" name="@name" class="form-control"/>
                        }
                    </div>
                    <div class="col-sm">
                        @helper.input(form("owner")) { (id, name, value, args) =>
                            <label for="@id">Thread Owner</label>
                            <select name="@name" id="@id" class="custom-select">
                                <option value="">None (No Auto-Update)</option>
                                @for(ump <- umps) {
                                    @if(value.contains(ump.user.id.toString)) {
                                        <option value="@ump.user.id" selected="selected">@ump.user.redditName @ump.player.map(p => s"(${p.fullName})")</option>
                                    } else {
                                        <option value="@ump.user.id">@ump.user.redditName @ump.player.map(p => s"(${p.fullName})")</option>
                                    }
                                }
                            </select>
                        }
                    </div>
                </div>
                <button class="btn btn-success my-2" type="submit">Submit</button>
            }
        </div>
    </body>
</html>
